#include "testlib.h"
#include <bits/stdc++.h>
 
using namespace std;

constexpr int max_n = 2e5;

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);
 
    const int t = inf.readInt(0, max_n, "t");
    const int n = inf.readInt(!t, max_n - !!t, "n");
    
    ans.readInt(1, n + !!t, "j");
    ouf.readInt(1, n + !!t, "a");
 
    quitf(_ok, "n=%d", n);
}
